%define major_version 1.0
%define minor_version 0

Name: redhat-idm-console
Version: %{major_version}.%{minor_version}
Release: 22%{?dist}
Summary: Red Hat Management Console

Group: Applications/System
License: LGPLv2
URL: http://directory.fedoraproject.org

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: %{name}-%{version}.tar.bz2
Requires: idm-console-framework >= 1.1
BuildRequires: ant >= 1.6.2
BuildRequires: ldapjdk >= 4.18
BuildRequires: dirsec-jss >=  4.2
BuildRequires: idm-console-framework >= 1.1

%description
A Java based remote management console used for Managing Red Hat
Administration Server and Red Hat Directory Server.

%prep
%setup -q
                                                                                
%build
%{ant} \
    -Dlib.dir=%{_libdir}/dirsec \
    -Djss.local.location=/usr/lib/java/dirsec \
    -Dbuilt.dir=`pwd`/built
                                                                                
%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 built/*.jar $RPM_BUILD_ROOT%{_javadir}
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 built/%{name} $RPM_BUILD_ROOT/%{_bindir}

# create symlinks
pushd $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}_en.jar %{name}-%{major_version}_en.jar
ln -s %{name}-%{version}_en.jar %{name}_en.jar
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}-%{version}_en.jar
%{_javadir}/%{name}-%{major_version}_en.jar
%{_javadir}/%{name}_en.jar
%{_bindir}/%{name}

%changelog
* Thu Mar  6 2008 Rich Megginson <rmeggins@redhat.com> 1.0.0-22.el4idm
- Resolves: bug 436101
- Description: redhat-idm-console shell script is world writable
- Fix Description: Install with mode -m755 instead of -m777
- I also fixed up some other issues reported by rpmlint

* Wed Nov 21 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-21.el4idm
- Moved doc home link into theme jar.

* Fri Nov  2 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-20.el4idm
- Added LD_LIBRARY_PATH to start script.

* Wed Oct 31 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-19.el4idm
- Updated sources.

* Thu Oct 25 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-18.el4idm
- Corrected libdir used to locate JSS library.

* Wed Oct 17 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-17.el4idm
- Updated sources to pickup new console start script.

* Fri Sep 28 2007 Margaret Lum <mlum@redhat.com> 1.0.0-16.el4idm
- Build with dirsec-jss built with IBM JVM 1.4.2.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-10.el4idm
- Corrected sources.

* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-9.el4idm
- Updated sources.

* Wed Aug 15 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-8.el4idm
- Added back noarch now that jss package uses an arch independent
  jarfile location.

* Thu Aug  9 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-7.el4idm
- Removed noarch from package to ensure the proper libdir is used.

* Wed Aug  1 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-6.el4idm
- Changed requirement for console framework as well as some
  specfile changes raised from a package audit.

* Tue Jul 31 2007 Margaret Lum <mlum@redhat.com> 1.0.0-5.el4idm
- Use proper paths in IDM RH4 for jss, ldapjdk.

* Tue Jul 31 2007 Margaret Lum <mlum@redhat.com> 1.0.0-4.el4idm
- Use dirsec-jss for IDM RH4.

* Mon Jul 30 2007 Margaret Lum <mlum@redhat.com> 1.0.0-3.el4idm
- Use disttag for IDM RH4.

* Fri Jul 27 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-2
- Modified package name to be less generic.

* Mon Jul 26 2007 Nathan Kinder <nkinder@redhat.com> 1.0.0-1
- Initial creation
